Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 813606 - All request to broker failed due to out-of-date Gemfile.lock
Summary: All request to broker failed due to out-of-date Gemfile.lock
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Krishna Raman
QA Contact: libra bugs
URL:
Whiteboard:
: 813672 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-18 03:06 UTC by Johnny Liu
Modified: 2015-05-15 01:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-27 20:45:32 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Johnny Liu 2012-04-18 03:06:42 UTC
Description of problem:
All the request to broker failed, e.g: create domain.

$ create_domain
OpenShift Express key found at /home/jialiu/.ssh/libra_id_rsa.  Reusing...
Submitting form:
debug: true
namespace: jialiu
key_type: ssh-rsa
ssh: XXXX
rhlogin: jialiu@redhat.com
Contacting https://ec2-23-20-251-23.compute-1.amazonaws.com
Problem reported from server. Response code was 500.
HTTP response from server is <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta name="generator" content="Phusion Passenger">
	<title>Ruby (Rack) application could not be started</title>

        <--snip-->
        Further information about the error may have been written to the
        application's log file. Please check it in order to analyse the problem.
        
        <dl>
        <dt>Error message:</dt>
        <dd>Could not find gearchanger-m-collective-plugin-0.7.7 in any of the sources (Bundler::GemNotFound)</dd>
        
        <dt>Exception class:</dt>
        <dd>PhusionPassenger::UnknownError</dd>
        
        <dt>Application root:</dt>
        <--snip-->
</body>
</html>

Dig more, found gem version is out of date in /var/www/stickshift/broker/Gemfile.lock, e.g: crankcase-mongo-plugin, gearchanger-m-collective-plugin, swingshift-streamline-plugin and uplift-dynect-plugin.

Work around:
Update /var/www/stickshift/broker/Gemfile.lock manually with correct gem version, then restart broker service.



Version-Release number of selected component (if applicable):
devenv_1725

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Johnny Liu 2012-04-18 10:41:54 UTC
*** Bug 813672 has been marked as a duplicate of this bug. ***

Comment 2 Xiaoli Tian 2012-04-19 05:42:29 UTC
Move it to ON_QA since the Gemfile.lock is updated

Comment 3 Xiaoli Tian 2012-04-19 06:06:07 UTC
Checked on devenv_1731 ,

#rpm -qa|grep stickshift-controller
ruby-stickshift-controller-0.9.3-1.git.0.d70666a.el6.noarch

#cat /var/www/stickshift/broker/Gemfile.lock
 stickshift-controller (0.9.3)


Note You need to log in before you can comment on or make changes to this bug.